/************************************/
/*                                  */
/*      Initialisierung und         */
/*      Kanalauswahl des ADC        */
/*                                  */
/************************************/



// Initialisieren mit: adc_init(x);  =>  Wobei 'x' fr den ADC-Kanal steht
// Aufruf mit ReadChannel(x);  =>  Wobei 'x' fr den ADC-Kanal steht

uint8_t mux;
volatile uint16_t result;


void adc_init (uint8_t mux)
{
	ADCSRA = (1<<ADEN)|(1<<ADPS2)|(1<<ADPS0);			//Frequenzvorteiler auf 32 setzen und ADC aktivieren
	ADMUX = mux;										//Kanal whlen
	ADMUX |=(1<<REFS0);									//AVcc als Refenzspannung nutzen
	ADCSRA |=(1<<ADSC);									//empfohlender Dummy-Readout zum Warmlaufen des ADC
	while (ADCSRA &(1<<ADSC))							//auf Abschlu der ADC-Wandlung warten
	{;}
	result=ADC;											//ADCW mu einmal gelesen werden, sonst wird das Ergebnis der nchsten Wandlung nicht bernommen!
}

uint16_t ReadChannel(uint8_t mux)
{
	result=0;
	ADCSRA |=(1<<ADSC);
	while (ADCSRA &(1<<ADSC))
	{;}
	result = ADC;
	ADCSRA &=~(1<<ADSC);
	return result;
}


