/*****************************/
/*                           */
/*    Zuordnungsgert fr    */
/*       8 Leitungen         */
/*                           */
/*          SENDER           */
/*                           */
/*****************************/

#include <stdlib.h>
#include <avr/io.h>
#include <util/ADC.h>

#define F_CPU 1000000UL
#include <util/delay.h>

int i;

int Batterie (void)
{
	ReadChannel(0);
	while (result < 500)								// 6V Batteriespannung entsprechen einem ADC-Wert von 500
	{
		_delay_ms(250);
		PORTD^= (1<<PD0);								// solange ADC-Wert zu niedrig, LED toggeln...
		_delay_ms(100);
		ReadChannel(0);
	}
	return (0);
}

int main (void)
{
	PORTC = 0b00000000;
	DDRC  = 0b11111110;
	PORTD = 0b00000000;
	DDRD  = 0b11111111;
	adc_init(0);

	while (1)
	{
		Batterie();
		for (i=0; i<9; i++)
		{
			if (i==1)
			{
				PORTD = 0b00000001;
				_delay_ms(10);
				PORTD = 0b00000000;
			}
			if (i==2)
			{
				PORTD = 0b00000010;
				_delay_ms(20);
				PORTD = 0b00000000;
			}
			if (i==3)
			{
				PORTD = 0b00000100;
				_delay_ms(30);
				PORTD = 0b00000000;
			}
			if (i==4)
			{
				PORTD = 0b00001000;
				_delay_ms(40);
				PORTD = 0b00000000;
			}
			if (i==5)
			{
				PORTD = 0b00010000;
				_delay_ms(50);
				PORTD = 0b00000000;
			}
			if (i==6)
			{
				PORTD = 0b00100000;
				_delay_ms(60);
				PORTD = 0b00000000;
			}
			if (i==7)
			{
				PORTD = 0b01000000;
				_delay_ms(70);
				PORTD = 0b00000000;
			}
			if (i==8)
			{
				PORTD = 0b10000000;
				_delay_ms(80);
				PORTD = 0b00000000;
			}
		}
		PORTD = 0b00000000;
		_delay_ms(100);
	}
}
